package com.yuchen.saas.manage.dict.api.feign;

import com.yuchen.saas.manage.dict.api.entity.DictBiz;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class IDictBizClientFallback implements IDictBizClient {
    @Override
    public R<DictBiz> getById(Long id) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<String> getValue(String code, String dictKey) {
        return R.fail("获取数据失败");
    }

    @Override
    public R<List<DictBiz>> getList(String code) {
        return R.fail("获取数据失败");
    }
}
